<?php

return [

    /**
     * Provider.
     */
    'provider'  => 'objects',

    /*
     * Package.
     */
    'package'   => 'object',

    /*
     * Modules.
     */
    'modules'   => ['bt_object'],

    
    'bt_object'       => [
        'model' => [
            'model'                 => \Objects\Object\Models\BtObject::class,
            'table'                 => 'bt_objects',
            'presenter'             => \Objects\Object\Repositories\Presenter\BtObjectPresenter::class,
            'hidden'                => [],
            'visible'               => [],
            'guarded'               => ['*'],
            'slugs'                 => ['slug' => 'name'],
            'dates'                 => ['deleted_at', 'createdat', 'updated_at'],
            'appends'               => [],
            'fillable'              => ['id',  'brand_id',  'location_id',  'attribute_id',  'flights_id',  'title',  'stars',  'booking_link',  'duration',  'price',  'status',  'latitude',  'longitude',  'details',  'leisure_offers',  'our_privileges',  'images',  'videos',  'meta_title',  'meta_description',  'meta_keywords',  'slug',  'user_id',  'user_type',  'created_at',  'updated_at',  'deleted_at'],
            'translatables'         => [],
            'upload_folder'         => 'object/bt_object',
            'uploads'               => [
            /*
                    'images' => [
                        'count' => 10,
                        'type'  => 'image',
                    ],
                    'file' => [
                        'count' => 1,
                        'type'  => 'file',
                    ],
            */
            ],

            'casts'                 => [
            /*
                'images'    => 'array',
                'file'      => 'array',
            */
            ],

            'revision'              => [],
            'perPage'               => '20',
            'search'        => [
                'name'  => 'like',
                'status',
            ]
        ],

        'controller' => [
            'provider'  => 'Objects',
            'package'   => 'Object',
            'module'    => 'BtObject',
        ],

    ],
];
