Lavalite package that provides object management facility for the cms.

## Installation

Begin by installing this package through Composer. Edit your project's `composer.json` file to require `objects/object`.

    "objects/object": "dev-master"

Next, update Composer from the Terminal:

    composer update

Once this operation completes execute below cammnds in command line to finalize installation.

    Objects\Object\Providers\ObjectServiceProvider::class,

And also add it to alias

    'Object'  => Objects\Object\Facades\Object::class,

## Publishing files and migraiting database.

**Migration and seeds**

    php artisan migrate
    php artisan db:seed --class=Objects\\ObjectTableSeeder

**Publishing configuration**

    php artisan vendor:publish --provider="Objects\Object\Providers\ObjectServiceProvider" --tag="config"

**Publishing language**

    php artisan vendor:publish --provider="Objects\Object\Providers\ObjectServiceProvider" --tag="lang"

**Publishing views**

    php artisan vendor:publish --provider="Objects\Object\Providers\ObjectServiceProvider" --tag="view"


### Web Urls

**Admin**

    http://path-to-route-folder/admin/object/{modulename}

**User**

    http://path-to-route-folder/user/object/{modulename}

**Public**

    http://path-to-route-folder/objects


### API endpoints

**List**

    http://path-to-route-folder/api/user/object/{modulename}
    METHOD: GET

**Create**

    http://path-to-route-folder/api/user/object/{modulename}
    METHOD: POST

**Edit**

    http://path-to-route-folder/api/user/object/{modulename}/{id}
    METHOD: PUT

**Delete**

    http://path-to-route-folder/api/user/object/{modulename}/{id}
    METHOD: DELETE

**Public List**

    http://path-to-route-folder/api/object/{modulename}
    METHOD: GET

**Public Single**

    http://path-to-route-folder/api/object/{modulename}/{slug}
    METHOD: GET