<?php

namespace Objects\Object;

use User;

class Object
{
    /**
     * $bt_object object.
     */
    protected $bt_object;

    /**
     * Constructor.
     */
    public function __construct(\Objects\Object\Interfaces\BtObjectRepositoryInterface $bt_object)
    {
        $this->bt_object = $bt_object;
    }

    /**
     * Returns count of object.
     *
     * @param array $filter
     *
     * @return int
     */
    public function count()
    {
        return  0;
    }

    /**
     * Make gadget View
     *
     * @param string $view
     *
     * @param int $count
     *
     * @return View
     */
    public function gadget($view = 'admin.bt_object.gadget', $count = 10)
    {

        if (User::hasRole('user')) {
            $this->bt_object->pushCriteria(new \Litepie\Objects\Repositories\Criteria\BtObjectUserCriteria());
        }

        $bt_object = $this->bt_object->scopeQuery(function ($query) use ($count) {
            return $query->orderBy('id', 'DESC')->take($count);
        })->all();

        return view('object::' . $view, compact('bt_object'))->render();
    }
}
