<?php

namespace Objects\Object\Repositories\Presenter;

use League\Fractal\TransformerAbstract;
use Hashids;

class BtObjectTransformer extends TransformerAbstract
{
    public function transform(\Objects\Object\Models\BtObject $bt_object)
    {
        return [
            'id'                => $bt_object->getRouteKey(),
            'key'               => [
                'public'    => $bt_object->getPublicKey(),
                'route'     => $bt_object->getRouteKey(),
            ], 
            'brand_id'          => $bt_object->brand_id,
            'location_id'       => $bt_object->location_id,
            'attribute_id'      => $bt_object->attribute_id,
            'flights_id'        => $bt_object->flights_id,
            'title'             => $bt_object->title,
            'stars'             => $bt_object->stars,
            'booking_link'      => $bt_object->booking_link,
            'duration'          => $bt_object->duration,
            'price'             => $bt_object->price,
            'latitude'          => $bt_object->latitude,
            'longitude'         => $bt_object->longitude,
            'details'           => $bt_object->details,
            'leisure_offers'    => $bt_object->leisure_offers,
            'our_privileges'    => $bt_object->our_privileges,
            'images'            => $bt_object->images,
            'videos'            => $bt_object->videos,
            'meta_title'        => $bt_object->meta_title,
            'meta_description'  => $bt_object->meta_description,
            'meta_keywords'     => $bt_object->meta_keywords,
            'slug'              => $bt_object->slug,
            'user_id'           => $bt_object->user_id,
            'user_type'         => $bt_object->user_type,
            'deleted_at'        => $bt_object->deleted_at,
            'url'               => [
                'public'    => trans_url('object/'.$bt_object->getPublicKey()),
                'user'      => guard_url('object/bt_object/'.$bt_object->getRouteKey()),
            ], 
            'status'            => trans('app.'.$bt_object->status),
            'created_at'        => format_date($bt_object->created_at),
            'updated_at'        => format_date($bt_object->updated_at),
        ];
    }
}